Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1278026 - [dssp]: fails to build on ppc64le
Summary: [dssp]: fails to build on ppc64le
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 24
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker 1280387
TreeView+ depends on / blocked
 
Reported: 2015-11-04 15:11 UTC by Rafael Fonseca
Modified: 2016-07-20 12:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 12:39:45 UTC


Attachments (Terms of Use)
gcc output file (deleted)
2015-11-10 14:12 UTC, Rafael Fonseca
no flags Details

Description Rafael Fonseca 2015-11-04 15:11:46 UTC
Description of problem: dssp fails to build on ppc64le with the following error message:

g++ -MD -c -o obj/iocif.o src/iocif.cpp -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mcpu=power7 -mtune=power8 -I/usr/include  -iquote src -g -Wall -Wno-multichar -pthread -O3 -DUSE_COMPRESSION -DLINUX -DVERSION='"2.2.1"' -DNDEBUG
In file included from /usr/include/c++/5.1.1/algorithm:62:0,
                 from /usr/include/boost/core/swap.hpp:25,
                 from /usr/include/boost/optional/optional.hpp:28,
                 from /usr/include/boost/optional.hpp:15,
                 from /usr/include/boost/format/internals.hpp:20,
                 from /usr/include/boost/format.hpp:38,
                 from src/structure.cpp:15:
/usr/include/c++/5.1.1/bits/stl_algo.h: In function '_FIter1 std::find_first_of(_FIter1, _FIter1, _FIter2, _FIter2) [with _FIter1 = std::_Deque_iterator<unsigned int, const unsigned int&, const unsigned int*>; _FIter2 = std::_Deque_iterator<unsigned int, const unsigned int&, const unsigned int*>]':
/usr/include/c++/5.1.1/bits/stl_algo.h:3854:5: error: insn does not satisfy its constraints:
     }
     ^
(insn 209 151 210 13 (set (reg:DI 9 9)
        (reg/f:DI 44 12 [orig:183 __first1$_M_node ] [183])) /usr/include/c++/5.1.1/bits/stl_deque.h:255 565 {*movdi_internal64}
     (nil))
/usr/include/c++/5.1.1/bits/stl_algo.h:3854:5: internal compiler error: in extract_constrain_insn, at recog.c:2246
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccC7CgDR.out file, please attach this to your bugreport.
makefile:62: recipe for target 'obj/structure.o' failed
make: *** [obj/structure.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.tq2PeJ (%build)


Version-Release number of selected component (if applicable): 2.2.1-6


How reproducible: ppc-koji build dssp in ppc64le


Additional info: fails also for f23 and f22.

Comment 1 Dave Love 2015-11-05 16:59:56 UTC
How is an ICE on a specific platform a dssp issue?

Comment 2 Rafael Fonseca 2015-11-10 14:12:27 UTC
Created attachment 1092286 [details]
gcc output file

Comment 3 Rafael Fonseca 2015-11-11 14:26:43 UTC
A bit more information about the issue: dssp's makefile uses -O3 in its CFLAGS. When I change that to -O2, the problem disappears.

Comment 4 Jan Kurik 2016-02-24 13:54:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase


Note You need to log in before you can comment on or make changes to this bug.